%bcond_with doc_pdf

Summary:        Utilities for filesystem exploration and automated builds
Name:           python-pox
Version:        0.3.1
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/uqfoundation/pox
Source0:        %{pypi_source pox}
Patch3000:      %{url}/pull/31.patch

BuildRequires:  python3-devel python3dist(pytest)
%if %{with doc_pdf}
BuildRequires:  make
BuildRequires:  python3dist(sphinx) python3-sphinx-latex latexmk
%endif

BuildArch:      noarch

%description 
pox provides a collection of utilities for navigating and manipulating filesystems. This module 
is designed to facilitate some of the low level operating system interactions that are useful 
when exploring a filesystem on a remote host.

%package -n python3-pox
Summary:        %{summary}

%description -n python3-pox 
pox provides a collection of utilities for navigating and manipulating filesystems. This module 
is designed to facilitate some of the low level operating system interactions that are useful 
when exploring a filesystem on a remote host.

%package doc
Summary:        Documentation for %{name}

%description doc
This package provides documentation for %{name}.

%prep
%autosetup -n pox-%{version} -p1
# remove shebangs from (installed) non-script sources, keeping the timestamp of 
# sources that does not need to be modified.
find 'pox' 'tests' -type f -name '*.py' \
    -exec gawk '/^#!/ { print FILENAME }; { nextfile }' '{}' '+' |
  xargs -r sed -r -i '1{/^#!/d}'

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%if %{with doc_pdf}
PYTHONPATH="${PWD}" sphinx-build -b latex %{?_smp_mflags} \
    docs/source %{_vpath_builddir}/_latex
%make_build -C %{_vpath_builddir}/_latex LATEXMKOPTS='-quiet'
%endif

%install
%pyproject_install
%pyproject_save_files pox

%check
# check in test_shutils that the user’s home dirs ends in the username, which is
# not always true, nor is it true in the mock/koji build environment. We solve 
# this by faking the home directory environment variable with an empty directory.
BOGUSHOME="${PWD}/_bogus/$(id --user --name)"
mkdir -p "${BOGUSHOME}"
HOME="${BOGUSHOME}" %pytest

%files -n python3-pox -f %{pyproject_files}
%doc README.md
%{_bindir}/pox

%files doc
%license LICENSE
%if %{with doc_pdf}
%doc %{_vpath_builddir}/_latex/pox.pdf
%endif

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Wang Guodong <gordonwwang@tencent.com> - 0.3.1-1
- initial build
